## org.apache.hadoop.io.compress
Enum SplittableCompressionCodec.READ_MODE

    java.lang.Object
      java.lang.Enum<SplittableCompressionCodec.READ_MODE>
          org.apache.hadoop.io.compress.SplittableCompressionCodec.READ_MODE

All Implemented Interfaces:
  Serializable, Comparable<SplittableCompressionCodec.READ_MODE>

Enclosing interface:
  SplittableCompressionCodec

    public static enum SplittableCompressionCodec.READ_MODE

extends Enum<SplittableCompressionCodec.READ_MODE>

During decompression, data can be read off from the decompressor in two modes, namely continuous and blocked. Few codecs (e.g. BZip2) are capable of compressing data in blocks and then decompressing the blocks. In Blocked reading mode codecs inform 'end of block' events to its caller. While in continuous mode, the caller of codecs is unaware about the blocks and uncompressed data is spilled out like a continuous stream.

Enum Constant Summary
`BYBLOCK`
`CONTINUOUS`

Method Summary
`static SplittableCompressionCodec.READ_MODE` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SplittableCompressionCodec.READ_MODE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUOUS

    public static final SplittableCompressionCodec.READ_MODE CONTINUOUS

### BYBLOCK

    public static final SplittableCompressionCodec.READ_MODE BYBLOCK

Method Detail

### values

    public static SplittableCompressionCodec.READ_MODE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SplittableCompressionCodec.READ_MODE c : SplittableCompressionCodec.READ_MODE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SplittableCompressionCodec.READ_MODE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009 The Apache Software Foundation